## Macro BOOST_LOG_EXPLICIT_OPERATOR_BOOL

BOOST_LOG_EXPLICIT_OPERATOR_BOOL — The macro defines an explicit operator of conversion to `bool`.

## Synopsis

    // In header: <boost/log/utility/explicit_operator_bool.hpp>

    BOOST_LOG_EXPLICIT_OPERATOR_BOOL()

## Description

The macro should be used inside the definition of a class that has to support the conversion. The class should also implement `operator!`, in terms of which the conversion operator will be implemented.